Skip to main content
Employee / Packages

Get an employee package item by employee package item id

This method requires the EmployeePackageItems:Get permission to be associated with your role.

GET
/sp/employee/package/items/{employee_package_item_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
employee_package_item_idstringrequired
Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
compress_flagenum<string>default:no

Compress flag

Available options: yes, no
contract_idstring

Contract Id

cyclesinteger

Number of times you expect to deduct this item from a payroll.

deduction_idstring

Legacy field

deduction_per_paynumber

The amount that should be deducted from each pay.

descriptionstring

Employee Package Item Description

disbursement_amount_gstnumber

Expected disbursement amount (Net).

disbursement_amount_netnumber

Expected disbursement amount (Net).

disbursement_cycle_idstring

The frequency of the disbursements that are required.

disbursement_periodsinteger

The number of the disbursements that are required.

disbursement_typeenum<string>

Disbursement Type

Available options: claim, periodic, recurring
driver_bank_account_idstring

Linked driver bank account preference.

driver_idstring

Driver Id

employee_contributionnumberdefault:0

Employee Package Item Employee Contribution

employee_package_item_idstring

Employee Package Item Id

end_datestring

Date of the last pay run this item should be deducted from.

first_disbursement_datestring

The first date this disbursement should be made.

inertia_flagenum<string>default:no

Inertia flag

Available options: yes, no
notesstring

Employee Package Item Notes

package_item_idstring

Package Item Id

package_item_pay_cycle_idstring

Package Item Pay Cycle

payee_payment_method_idstringdefault:null

Payee payment method Id

referencestringdefault:null

If the Payment Method is 'Direct Credit', Reference must be 18 characters or less in length. If the Payment Method is 'Bpay', Reference must be 20 characters or less in length.

start_datestring

Date of the first pay run this item should be deducted from.

status_flagenum<string>

Status Flag

Available options: active, accepted, expired, inactive, pending, quoting, suspended
substantiation_flagenum<string>
Available options: yes, no
supplier_idstring

The supplier that will be paid for this disbursement.

tax_methodenum<string>
Available options: pre-tax, post-tax
total_deductionnumberdefault:0